<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>_base_unit_t</b></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1base__unit.html" target="_self">units::base_unit&lt; Meter, Kilogram, Second, Radian, Ampere, Kelvin, Mole, Candela, Byte &gt;</a></td><td class="desc">Class representing SI base unit types </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>_unit</b></td><td class="desc"></td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit.html" target="_self">units::unit&lt; Conversion, BaseUnit, PiExponent, Translation &gt;</a></td><td class="desc">Type representing an arbitrary unit </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>_unit_t</b></td><td class="desc"></td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classunits_1_1unit__t.html" target="_self">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="desc">Container for values which represent quantities of a given unit </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>_unit_value_t</b></td><td class="desc"></td></tr>
<tr id="row_3_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__add.html" target="_self">units::unit_value_add&lt; U1, U2 &gt;</a></td><td class="desc">Adds two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_3_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__divide.html" target="_self">units::unit_value_divide&lt; U1, U2 &gt;</a></td><td class="desc">Divides two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_3_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__multiply.html" target="_self">units::unit_value_multiply&lt; U1, U2 &gt;</a></td><td class="desc">Multiplies two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_3_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__power.html" target="_self">units::unit_value_power&lt; U1, power &gt;</a></td><td class="desc">Raises unit_value_to a power at compile-time </td></tr>
<tr id="row_3_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__sqrt.html" target="_self">units::unit_value_sqrt&lt; U1, Eps &gt;</a></td><td class="desc">Calculates square root of <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> at compile-time </td></tr>
<tr id="row_3_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__subtract.html" target="_self">units::unit_value_subtract&lt; U1, U2 &gt;</a></td><td class="desc">Subtracts two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_3_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__t.html" target="_self">units::unit_value_t&lt; Units, Num, Denom &gt;</a></td><td class="desc">Stores a rational unit value as a compile-time constant </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1decibel__scale.html" target="_self">units::decibel_scale&lt; T &gt;</a></td><td class="desc">Unit_t scale for representing decibel values </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>integral_constant</b></td><td class="desc"></td></tr>
<tr id="row_5_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1has__decibel__scale.html" target="_self">units::traits::has_decibel_scale&lt; T &gt;</a></td><td class="desc">Trait which tests whether a type is inherited from a decibel scale </td></tr>
<tr id="row_5_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1has__linear__scale.html" target="_self">units::traits::has_linear_scale&lt; T &gt;</a></td><td class="desc">Trait which tests whether a type is inherited from a linear scale </td></tr>
<tr id="row_5_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__acceleration__unit.html" target="_self">units::traits::is_acceleration_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__angle__unit.html" target="_self">units::traits::is_angle_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__angular__velocity__unit.html" target="_self">units::traits::is_angular_velocity_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__area__unit.html" target="_self">units::traits::is_area_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__capacitance__unit.html" target="_self">units::traits::is_capacitance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__charge__unit.html" target="_self">units::traits::is_charge_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__concentration__unit.html" target="_self">units::traits::is_concentration_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__conductance__unit.html" target="_self">units::traits::is_conductance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__convertible__unit__t.html" target="_self">units::traits::is_convertible_unit_t&lt; U1, U2 &gt;</a></td><td class="desc">Trait which tests whether two container types derived from <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> are convertible to each other </td></tr>
<tr id="row_5_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__current__unit.html" target="_self">units::traits::is_current_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__data__transfer__rate__unit.html" target="_self">units::traits::is_data_transfer_rate_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__data__unit.html" target="_self">units::traits::is_data_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_14_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__density__unit.html" target="_self">units::traits::is_density_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_15_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__energy__unit.html" target="_self">units::traits::is_energy_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_16_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__force__unit.html" target="_self">units::traits::is_force_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_17_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__frequency__unit.html" target="_self">units::traits::is_frequency_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_18_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__illuminance__unit.html" target="_self">units::traits::is_illuminance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_19_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__impedance__unit.html" target="_self">units::traits::is_impedance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_20_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__inductance__unit.html" target="_self">units::traits::is_inductance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_21_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__length__unit.html" target="_self">units::traits::is_length_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_22_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__luminous__flux__unit.html" target="_self">units::traits::is_luminous_flux_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_23_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__luminous__intensity__unit.html" target="_self">units::traits::is_luminous_intensity_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_24_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__magnetic__field__strength__unit.html" target="_self">units::traits::is_magnetic_field_strength_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_25_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__magnetic__flux__unit.html" target="_self">units::traits::is_magnetic_flux_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_26_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__mass__unit.html" target="_self">units::traits::is_mass_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_27_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__nonlinear__scale.html" target="_self">units::traits::is_nonlinear_scale&lt; T, Ret &gt;</a></td><td class="desc">Trait which tests that <code>class T</code> meets the requirements for a non-linear scale </td></tr>
<tr id="row_5_28_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__power__unit.html" target="_self">units::traits::is_power_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_29_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__pressure__unit.html" target="_self">units::traits::is_pressure_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_30_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__radioactivity__unit.html" target="_self">units::traits::is_radioactivity_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_31_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__ratio.html" target="_self">units::traits::is_ratio&lt; T &gt;</a></td><td class="desc">Trait that tests whether a type represents a std::ratio </td></tr>
<tr id="row_5_32_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__same__scale.html" target="_self">units::traits::is_same_scale&lt; T1, T2 &gt;</a></td><td class="desc">Trait which tests whether two types has the same non-linear scale </td></tr>
<tr id="row_5_33_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__scalar__unit.html" target="_self">units::traits::is_scalar_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_34_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__solid__angle__unit.html" target="_self">units::traits::is_solid_angle_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_35_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__substance__unit.html" target="_self">units::traits::is_substance_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_36_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__temperature__unit.html" target="_self">units::traits::is_temperature_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_37_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__time__unit.html" target="_self">units::traits::is_time_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_38_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__torque__unit.html" target="_self">units::traits::is_torque_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_39_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__value__t.html" target="_self">units::traits::is_unit_value_t&lt; T, Units &gt;</a></td><td class="desc">Trait which tests whether a type is a <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> representing the given unit type </td></tr>
<tr id="row_5_40_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__value__t__category.html" target="_self">units::traits::is_unit_value_t_category&lt; Category, T &gt;</a></td><td class="desc">Trait which tests whether type T is a <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> with a unit type in the given category </td></tr>
<tr id="row_5_41_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__velocity__unit.html" target="_self">units::traits::is_velocity_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_42_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__voltage__unit.html" target="_self">units::traits::is_voltage_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_5_43_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__volume__unit.html" target="_self">units::traits::is_volume_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_6_" class="arrow" onclick="toggleFolder('6_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>is_base_of</b></td><td class="desc"></td></tr>
<tr id="row_6_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__base__unit.html" target="_self">units::traits::is_base_unit&lt; T &gt;</a></td><td class="desc">Trait which tests if a class is a <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> type </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__dimensionless__unit.html" target="_self">units::traits::is_dimensionless_unit&lt; T &gt;</a></td><td class="desc"></td></tr>
<tr id="row_8_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_8_" class="arrow" onclick="toggleFolder('8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>is_same</b></td><td class="desc"></td></tr>
<tr id="row_8_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__convertible__unit.html" target="_self">units::traits::is_convertible_unit&lt; U1, U2 &gt;</a></td><td class="desc">Trait which checks whether two units can be converted to each other </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1linear__scale.html" target="_self">units::linear_scale&lt; T &gt;</a></td><td class="desc">Unit_t scale which is linear </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_10_" class="arrow" onclick="toggleFolder('10_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1linear__scale.html" target="_self">units::linear_scale&lt; double &gt;</a></td><td class="desc"></td></tr>
<tr id="row_10_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classunits_1_1unit__t.html" target="_self">units::unit_t&lt; Units, T, NonLinearScale &gt;</a></td><td class="desc">Container for values which represent quantities of a given unit </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classstd_1_1numeric__limits_3_01units_1_1unit__t_3_01_units_00_01_t_00_01_non_linear_scale_01_4_01_4.html" target="_self">std::numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_12_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_12_" class="arrow" onclick="toggleFolder('12_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>type</b></td><td class="desc"></td></tr>
<tr id="row_12_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit.html" target="_self">units::traits::is_unit&lt; T &gt;</a></td><td class="desc">Traits which tests if a class is a <code>unit</code> </td></tr>
<tr id="row_12_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1traits_1_1is__unit__t.html" target="_self">units::traits::is_unit_t&lt; T &gt;</a></td><td class="desc">Traits which tests if a class is a <code>unit</code> </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_13_" class="arrow" onclick="toggleFolder('13_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>unit_value_arithmetic</b></td><td class="desc"></td></tr>
<tr id="row_13_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__add.html" target="_self">units::unit_value_add&lt; U1, U2 &gt;</a></td><td class="desc">Adds two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_13_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__divide.html" target="_self">units::unit_value_divide&lt; U1, U2 &gt;</a></td><td class="desc">Divides two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_13_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__multiply.html" target="_self">units::unit_value_multiply&lt; U1, U2 &gt;</a></td><td class="desc">Multiplies two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
<tr id="row_13_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__power.html" target="_self">units::unit_value_power&lt; U1, power &gt;</a></td><td class="desc">Raises unit_value_to a power at compile-time </td></tr>
<tr id="row_13_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__sqrt.html" target="_self">units::unit_value_sqrt&lt; U1, Eps &gt;</a></td><td class="desc">Calculates square root of <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> at compile-time </td></tr>
<tr id="row_13_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structunits_1_1unit__value__subtract.html" target="_self">units::unit_value_subtract&lt; U1, U2 &gt;</a></td><td class="desc">Subtracts two <a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a> types at compile-time </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:58 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
